Subject: Re: bug#56215: Request for decluttering capability on mode-line keywords

From: [email-masked]
Date: Sun, 26 Jun 2022 10:34:30 +0200 (CEST)

Jun 26, 2022, 00:05 by [email-masked]:

> Hi Carl,
>
> You might find the GNU ELPA package delight.el to be suitable.
> See https://www.emacswiki.org/emacs/DelightedModes for details.
>
> There are other options as well, including these (and maybe
> more besides):
>
> https://emacs.stackexchange.com/a/72194/454
>

Because of the heap of packages that have been written, I would favour the capability to be included in the released version of emacs.  Besides being a request  that is not so obscure, `delight.el' <https://git.savannah.gnu.org/cgit/delight.git/plain/delight.el> breaks down for
`c-mode', `c++-mode', `php-mode', and possibly others. 

Besides, going through seven different implementations amounts to torture for users to decide.

> Lars, I think this is a duplicate of bug#30978 ?
>
>
> -Phil
>
>
>
> On 2022-06-26 01:08, carlmarcos--- via "Bug reports for GNU Emacs, the Swiss army knife of text editors" wrote:
>
>> The mode-line is a very important section of a window. But can be
>> easily cluttered with
>> names of minor-modes, as well as by programming and hypertext language
>> major-mode names.
>>
>> For instance, loading an elisp file shows "Emacs-Lisp" in the
>> made-line. When in *scratch* the string "Lisp Interaction" shows up.
>> Because I use bold large font, it is easy for the mode-line to get
>> cluttered.
>>
>> As is often the case, emacs users hardly change the mode associated
>> with the corresponding programming or hypertext language major-mode.
>> Most often, users work with minor-modes, meaning that people are aware
>> that lisp programs use emacs-lisp major-mode, and C users are aware
>> they are using c major-mode (although I find "C/*l" quite
>> unnecessary).
>>
>> Emacs package designers have the ability to display a mode-line name
>> with the keyword-arg `:lighter'. But the user has no way to remove the
>> lighter from the mode-line. Would like to request the capability for
>> users to remove :lighter keywords, if they wish. This would be
>> particularly useful for those like me who usually have a dense list
>> showing up in their mode-line.
>>